
Redmine - Feature #2666

Roadmap for main project should see Roadmaps for sub projects

2009-02-04 16:35 - Jason Messmer

Status: Closed Start date: 2009-02-04

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Roadmap Estimated time: 0.00 hour

Target version: 0.9.0   

Resolution: Fixed   

Description

If the main project can see the activity of all sub projects, then the Roadmap of the main project should be able to see the Roadmap

for its sub projects.  What I would actually like to see is the ability to assign the target version for a sub project to the main target

version of the main project.  In the SCRUM world this would be ideal and to project managers.  What I do now is I create the same

target version (same dates) for all sub projects but my main project has no issues only the sub projects do.  My manager would like

to go to one place to see all activity, reports and Roadmap (version or iteration).  Basically, I have a project with no issues that have

sub projects with issues and each of the sub projects have different categories.

Related issues:

Related to Redmine - Feature #465: Inheritence of Versions to Subprojects Closed

Related to Redmine - Feature #7956: Show Roadmap tab when subprojects have de... Closed 2011-03-22

Associated revisions

Revision 3123 - 2009-12-06 11:28 - Jean-Philippe Lang

Version sharing (#465) + optional inclusion of subprojects in the roadmap view (#2666).

Each version of a project can be shared with:

subprojects

projects in the project hierarchy: ancestors + descendants (needs versions management permission on the root project)

projects in the project tree: root project + all its descendants (same as above)

all projects (can be set by admin users only)

Notes:

when sharing a version of a private project with others projects, its name will be visible within the other projects

a project with versions used by non descendant projects can not be archived

History

#1 - 2009-07-27 22:05 - Bill Tihen

I am not sure I completely understood what you are looking for, but the example you gave of your boss being able to go to one "Parent" project and

see all Roadmap of all the parts is something I am definitely looking for.  The way I understand this to work would be to have a Parent project --

"Network Core" which would hold project versions/roadmap info.  Then I would like to make sub-projects (for the technical work) -- for example: "core

switches" , LDAP structure, ...

+ Network Core (versions -- phase 1, phase 2, phase 3, etc) |-Firewall - (task 1-[associated with phase 1], task 3-[associated with phase 2], task

10-no version association) |-Core Switches (task 2-[associated with Phase 1], task 15-[associated with Phase 3]) |-Authentication Services (task

5-[associated with phase 2])

When my boss (the manager) goes to the Parent - Network Core and looks at the Roadmap (or Gantt) he sees all the tasks associated with each

phase/version from all the sub-projects & has a good idea of how the entire project is progressing -- despite the fact that several techs are be working

on separate technologies at once. Equally importantly, each tech will be able to see the impact of their work on the team - especially since our team is

NOT co-located.

Is this the same as you were discussing?  I am definitely behind making this type of large project management easy to coordinate between many

sub-projects.  In fact, I think finding some way to let this scale is critical to my organization -- in the near future.

#2 - 2009-07-28 11:16 - Bill Tihen

Opps -- I forgot to put my "Graphic" in the pre tags.

+ Network Core (versions -- phase 1, phase 2, phase 3, etc) 

|-Firewall - (task 1-[associated with phase 1], task 3-[associated with phase 2], task 10-no version associati

on) 
|-Core Switches (task 2-[associated with Phase 1], task 15-[associated with Phase 3]) 

|-Authentication Services (task 5-[associated with phase 2])

#3 - 2009-07-28 14:24 - Jason Messmer

Pretty close...In short I wanted the ability to assign a sub project issue to a "target version" of the parent.  As of now, the parent project has no

association of "target version" of its children projects.  What I would like to have is the ability to do a query on "target version" of the sub projects

within the main project issues list.  As of now, all my sub projects have the same target version schema and iteration date/due date.  This makes my

manager life easier when he goes to the main projects and does a query.

#4 - 2009-07-31 02:15 - Eric Davis

- Category set to Roadmap

+1 This would be good if a child project can assign issues to a parent project's Versions.  Then parent projects can be used to group subprojects to

coordinate a release.

#5 - 2009-10-15 17:06 - Paul Merlin

+1 for issues in a child project to be assignable to a parent project's version, this could be very handy for modular projects

#6 - 2009-12-06 11:24 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version set to 0.9.0

- Resolution set to Fixed

Implemented in r3123.

#7 - 2019-10-06 14:39 - Go MAEDA

- Related to Feature #7956: Show Roadmap tab when subprojects have defined versions added
